<div class="row no-gutters">
  <div class="col-12">
    <form [formGroup]="contactForm"
          (ngSubmit)="onSubmit()">
      <div class="header">
        <h2>Contact Us</h2>
      </div>

      <input type="text"
             name="name"
             formControlName="name"
             placeholder="Your name">
      <ul *ngIf="checkInvalidity('name')" class="error">
        <li *ngIf="contactForm.get('name').errors['required']">
          Please enter your name
        </li>
        <li *ngIf="contactForm.get('name').errors['pattern']">
          Please use only Latin letters, spaces and hyphens
        </li>
      </ul>

      <input type="email"
             name="email"
             formControlName="email"
             placeholder="Your email">
      <ul *ngIf="checkInvalidity('email')" class="error">
        <li *ngIf="contactForm.get('email').errors['required']">Please enter your email</li>
        <li *ngIf="contactForm.get('email').errors['email']">Please enter valid email</li>
      </ul>

      <textarea name="comment"
                formControlName="comment"
                cols="30"
                rows="10"
                placeholder="Your comment"></textarea>
      <ul *ngIf="checkInvalidity('comment')" class="error">
        <li>Please enter a comment</li>
      </ul>

      <button type="submit"
              [disabled]="contactForm.invalid">
        <span *ngIf="!wasDataSent && !isDataSending; else succes">Send</span>
        <app-spinner *ngIf="isDataSending"></app-spinner>
        <ng-template #succes>
          <i *ngIf="!isDataSending" class="fa fa-check"></i>
        </ng-template>
      </button>
    </form>
  </div>
</div>
